Package org.silverpeas.components.yellowpages.control

# Class YellowpagesSessionController

java.lang.Object
org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController
org.silverpeas.components.yellowpages.control.YellowpagesSessionController

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.web.mvc.controller.ComponentSessionController`, `org.silverpeas.core.web.session.SessionCloseable`

public class YellowpagesSessionController extends org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

  `context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `YellowpagesSessionController(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl, org.silverpeas.core.web.mvc.controller.ComponentContext context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addContactToTopic(String contactId, String fatherId)`
  `void`
  `addGroup(String groupId)`
  `void`
  `addSubTopic(org.silverpeas.core.node.model.NodeDetail nd)`
  `void`
  `clearGroupPath()`
  `String`
  `createContact(org.silverpeas.core.contact.model.CompleteContact contact)`
  `void`
  `createInfoModel(String contactId, String modelId)`
  `void`
  `deleteBasketContent()`
  `void`
  `deleteContact(String contactId)`
  `void`
  `deleteContactFathers(String contactId)`
  `void`
  `deleteContactFromTopic(String contactId, String fatherId)`
  `void`
  `deleteTopic(String topicId)`
  `org.silverpeas.core.web.export.ExportCSVBuilder`
  `exportAsCSV()`
  `Collection<org.silverpeas.core.contact.model.ContactFatherDetail>`
  `getAllContactDetails(org.silverpeas.core.node.model.NodePK fatherPK)`
  `List<org.silverpeas.core.contact.model.ContactFatherDetail>`
  `getAllUsers(String nodeId)`
  `List<org.silverpeas.core.contact.model.ContactFatherDetail>`
  `getAllUsersOfGroup(String groupId)`
  Make a recursice call to get all users of group identified by the given parameter
  `List<String>`
  `getArrayHeaders()`
  `org.silverpeas.core.contact.model.CompleteContact`
  `getCompleteContact(String contactId)`
  `org.silverpeas.core.contact.model.CompleteContact`
  `getCompleteContactInNode(String contactId, String nodeId)`
  `org.silverpeas.core.contact.model.ContactDetail`
  `getContactDetail(String contactId)`
  `Collection<org.silverpeas.core.node.model.NodePK>`
  `getContactFathers(String contactId)`
  `org.silverpeas.core.contact.model.CompleteContact`
  `getCurrentContact()`
  `Collection<org.silverpeas.core.contact.model.ContactFatherDetail>`
  `getCurrentContacts()`
  `String`
  `getCurrentModel()`
  `String`
  `getCurrentSearchCriteria()`
  `TopicDetail`
  `getCurrentTopic()`
  `List<org.silverpeas.core.contribution.template.publication.PublicationTemplate>`
  `getForms()`
  `YellowPagesGroupDetail`
  `getGroup(String groupId)`
  `List<YellowPagesGroupDetail>`
  `getGroupPath()`
  `List<org.silverpeas.core.contact.model.ContactFatherDetail>`
  `getListContactFather(List<org.silverpeas.core.contact.model.ContactDetail> contacts, boolean retourneUserReferentiel)`
  `Collection<String>`
  `getModelUsed()`
  `int`
  `getNbContactPerPage()`
  `org.silverpeas.core.node.service.NodeService`
  `getNodeService()`
  `String`
  `getOwner()`
  `String`
  `getPath()`
  `String`
  `getProfile()`
  `List<String>`
  `getProperties()`
  `org.silverpeas.core.node.model.NodeDetail`
  `getSubTopicDetail(String subTopicId)`
  `TopicDetail`
  `getTopic(String id)`
  `List<org.silverpeas.core.node.model.NodeDetail>`
  `getTree()`
  `org.silverpeas.core.admin.component.model.CompoSpace[]`
  `getYellowPagesInstances()`
  `YellowpagesService`
  `getYellowpagesService()`
  `ImportReport`
  `importCSV(org.silverpeas.core.util.file.FileItem filePart)`
  Import Csv file
  `String`
  `initGroupPanel()`
  `String`
  `initUserPanel()`
  `boolean`
  `isPortletMode()`
  `void`
  `removeGroup(String groupId)`
  `void`
  `removeSessionOwner()`
  `void`
  `removeSessionPath()`
  `void`
  `removeSessionPublication()`
  `void`
  `removeSessionTopic()`
  `void`
  `resetCurrentTypeSearchCriteria()`
  `List<org.silverpeas.core.contact.model.ContactFatherDetail>`
  `search(String query)`
  `boolean`
  `setContactUserSelected()`
  Put selected user into session using userPanel
  `void`
  `setCurrentContact(org.silverpeas.core.contact.model.CompleteContact currentContact)`
  `void`
  `setCurrentContacts(Collection<org.silverpeas.core.contact.model.ContactFatherDetail> currentContacts)`
  `void`
  `setCurrentSearchCriteria(String searchCriteria)`
  `void`
  `setCurrentTopic(TopicDetail currentTopic)`
  `void`
  `setGroupSelected()`
  `void`
  `setModelUsed(String[] models)`
  `void`
  `setOwner(String owner)`
  `void`
  `setPath(String path)`
  `void`
  `setPortletMode(boolean portletMode)`
  `final void`
  `setProfile()`
  `void`
  `updateContact(org.silverpeas.core.contact.model.CompleteContact contact)`
  `void`
  `updateTopicHeader(org.silverpeas.core.node.model.NodeDetail nd)`

  ### Methods inherited from class org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

  `addClipboardSelection, clipboardPasteDone, close, getClipboardErrorMessage, getClipboardExceptionError, getClipboardObjects, getClipboardSelectedObjects, getClipboardSize, getComponentAccessController, getComponentId, getComponentLabel, getComponentName, getComponentParameterValue, getComponentParameterValue, getComponentRootName, getComponentUrl, getHighestSilverpeasUserRole, getIcon, getLanguage, getLook, getMultilang, getOrganisationController, getPersonalization, getRSSUrl, getSelection, getSettings, getSilverpeasUserRoles, getSpaceId, getSpaceLabel, getString, getSubscriptionContext, getUrlEncodedParameter, getUserAccessLevel, getUserAvailComponentIds, getUserDetail, getUserDetail, getUserId, getUserManageableGroupIds, getUserManageableSpaceIds, getUserRoles, getZoneId, isAppInMaintenance, isGroupManager, isPasswordChangeAllowed, isSpaceInMaintenance, removeClipboardElement, setAppModeMaintenance, setClipboardSelectedElement, setComponentRootName, setSpaceModeMaintenance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### YellowpagesSessionController

    public YellowpagesSessionController(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl, org.silverpeas.core.web.mvc.controller.ComponentContext context)

- ## Method Details

  - ### setProfile

    public final void setProfile()

  - ### getProfile

    public String getProfile()

  - ### setCurrentTopic

    public void setCurrentTopic(TopicDetail currentTopic)

  - ### getCurrentTopic

    public TopicDetail getCurrentTopic()

  - ### setCurrentContact

    public void setCurrentContact(org.silverpeas.core.contact.model.CompleteContact currentContact)

  - ### getCurrentContact

    public org.silverpeas.core.contact.model.CompleteContact getCurrentContact()

  - ### setPath

    public void setPath(String path)

  - ### getPath

    public String getPath()

  - ### setOwner

    public void setOwner(String owner)

  - ### getOwner

    public String getOwner()

  - ### getYellowpagesService

    public YellowpagesService getYellowpagesService()

  - ### getTopic

    public TopicDetail getTopic(String id)

  - ### getGroup

    public YellowPagesGroupDetail getGroup(String groupId)

  - ### getGroupPath

    public List<YellowPagesGroupDetail> getGroupPath()

  - ### clearGroupPath

    public void clearGroupPath()

  - ### getTree

    public List<org.silverpeas.core.node.model.NodeDetail> getTree()

  - ### updateTopicHeader

    public void updateTopicHeader(org.silverpeas.core.node.model.NodeDetail nd)

  - ### getSubTopicDetail

    public org.silverpeas.core.node.model.NodeDetail getSubTopicDetail(String subTopicId)

  - ### addSubTopic

    public void addSubTopic(org.silverpeas.core.node.model.NodeDetail nd)

  - ### deleteTopic

    public void deleteTopic(String topicId)

  - ### getContactDetail

    public org.silverpeas.core.contact.model.ContactDetail getContactDetail(String contactId)
    Parameters:
      `contactId` - the contact identifier
    Returns:
      the contact detail identified by given parameter

  - ### getAllContactDetails

    public Collection<org.silverpeas.core.contact.model.ContactFatherDetail> getAllContactDetails(org.silverpeas.core.node.model.NodePK fatherPK)

  - ### createContact

    public String createContact(org.silverpeas.core.contact.model.CompleteContact contact)

  - ### updateContact

    public void updateContact(org.silverpeas.core.contact.model.CompleteContact contact)

  - ### deleteContact

    public void deleteContact(String contactId)

  - ### addContactToTopic

    public void addContactToTopic(String contactId, String fatherId)

  - ### deleteContactFromTopic

    public void deleteContactFromTopic(String contactId, String fatherId)

  - ### createInfoModel

    public void createInfoModel(String contactId, String modelId)

  - ### getCompleteContact

    public org.silverpeas.core.contact.model.CompleteContact getCompleteContact(String contactId)

  - ### getCompleteContactInNode

    public org.silverpeas.core.contact.model.CompleteContact getCompleteContactInNode(String contactId, String nodeId)

  - ### getContactFathers

    public Collection<org.silverpeas.core.node.model.NodePK> getContactFathers(String contactId)

  - ### deleteContactFathers

    public void deleteContactFathers(String contactId)

  - ### getYellowPagesInstances

    public org.silverpeas.core.admin.component.model.CompoSpace[] getYellowPagesInstances()

  - ### removeSessionTopic

    public void removeSessionTopic()

  - ### removeSessionPublication

    public void removeSessionPublication()

  - ### removeSessionPath

    public void removeSessionPath()

  - ### removeSessionOwner

    public void removeSessionOwner()

  - ### initUserPanel

    public String initUserPanel()

  - ### setContactUserSelected

    public boolean setContactUserSelected()
    Put selected user into session using userPanel
    Returns:
      true if a user is selected

  - ### initGroupPanel

    public String initGroupPanel()

  - ### setGroupSelected

    public void setGroupSelected()

  - ### getAllUsers

    public List<org.silverpeas.core.contact.model.ContactFatherDetail> getAllUsers(String nodeId)

  - ### getAllUsersOfGroup

    public List<org.silverpeas.core.contact.model.ContactFatherDetail> getAllUsersOfGroup(String groupId)
    Make a recursice call to get all users of group identified by the given parameter
    Parameters:
      `groupId` - the group identifier
    Returns:
      the list of contact father detail of the group

  - ### addGroup

    public void addGroup(String groupId)

  - ### removeGroup

    public void removeGroup(String groupId)

  - ### resetCurrentTypeSearchCriteria

    public void resetCurrentTypeSearchCriteria()

  - ### setCurrentSearchCriteria

    public void setCurrentSearchCriteria(String searchCriteria)

  - ### getCurrentSearchCriteria

    public String getCurrentSearchCriteria()

  - ### search

    public List<org.silverpeas.core.contact.model.ContactFatherDetail> search(String query)

  - ### getListContactFather

    public List<org.silverpeas.core.contact.model.ContactFatherDetail> getListContactFather(List<org.silverpeas.core.contact.model.ContactDetail> contacts, boolean retourneUserReferentiel)

  - ### getCurrentContacts

    public Collection<org.silverpeas.core.contact.model.ContactFatherDetail> getCurrentContacts()

  - ### setCurrentContacts

    public void setCurrentContacts(Collection<org.silverpeas.core.contact.model.ContactFatherDetail> currentContacts)

  - ### isPortletMode

    public boolean isPortletMode()

  - ### setPortletMode

    public void setPortletMode(boolean portletMode)

  - ### getNodeService

    public org.silverpeas.core.node.service.NodeService getNodeService()

  - ### getNbContactPerPage

    public int getNbContactPerPage()

  - ### setModelUsed

    public void setModelUsed(String[] models)

  - ### getModelUsed

    public Collection<String> getModelUsed()

  - ### getCurrentModel

    public String getCurrentModel()

  - ### deleteBasketContent

    public void deleteBasketContent()

  - ### getProperties

    public List<String> getProperties()

  - ### getArrayHeaders

    public List<String> getArrayHeaders()

  - ### exportAsCSV

    public org.silverpeas.core.web.export.ExportCSVBuilder exportAsCSV()

  - ### importCSV

    public ImportReport importCSV(org.silverpeas.core.util.file.FileItem filePart)
    Import Csv file
    Parameters:
      `filePart` - the CSV file
    Returns:
      ImportReport

  - ### getForms

    public List<org.silverpeas.core.contribution.template.publication.PublicationTemplate> getForms()